Jubayed's Blog

Ruby on Rails learner

Jekyll Install

| Comments

ইনস্টলেশন

জ্যাকল ইনস্টল করা এবং প্রস্তুত করার জন্য শুধুমাত্র কয়েক মিনিট সময় নিবে। যদি এটি কখনও সমস্যা হয়, তাহলে সমস্যাটি বর্ণনা করুন (বা একটি পুল অনুরোধ পেশ করুন) এবং আপনি কীভাবে প্রক্রিয়াটি সহজ করে তুলতে তুলে ধরুন।

আবশ্যকতা

সমস্ত প্রয়োজনীয়তা পূরণ করা হয় যদি জ্যাকল ইনস্টল করা উচিত। আপনার জ্যাকল শুরু করার আগে নিশ্চিত করুন যে আপনার সিস্টেমে নিম্নোক্ত সফটওয়্যার/প্যাকেজ/লাইব্রেরি রয়েছে কিনা :

GNU/Linux, Unix, or macOS ( অপারেটিং সিস্টেম ) রুবি সংস্করণ 2.1 বা তার উপরে, সমস্ত উন্নয়ন development headers RubyGems GCC এবং Make (যদি আপনার সিস্টেমে ইনস্টল না থাকে, তাহলে আপনি আপনার সিস্টেমের কমান্ড লাইন ইন্টারফেসে gcc -v এবং make -v দিয়ে চেক করতে পারেন)

শুধুমাত্র জ্যাকল ২ এবং আগে এর জন্য প্রয়োজন

NodeJS, or another JavaScript runtime (for CoffeeScript support). Python 2.7

জ্যাকল ইনস্টল সমস্যা?

সমস্যা নিবারণ পৃষ্ঠা দেখুন বা একটি সমস্যা রিপোর্ট করুন যাতে জ্যাকল ব্যাবহারকরি প্রত্যেকে অভিজ্ঞতা উন্নত করতে পারে।

উইন্ডোজ এ Jekyll

উইন্ডোজ একটি official ভাবে সমর্থিত প্ল্যাটফর্ম , এটি সঠিক tweaks সঙ্গে Jekyll চালানোর জন্য ব্যবহার করতে পারেন।আমাদের উইন্ডোজ-নির্দিষ্ট ডক্স পৃষ্ঠায় বিশেষ নির্দেশাবলী পাবেন।

RubyGems সঙ্গে ইনস্টল করুন

জ্যাকল ইনস্টল করার সবচেয়ে ভালো উপায় RubyGems মাধ্যমে । টার্মিনাল প্রম্পটে, জ্যাকল ইনস্টল করতে নিম্নলিখিত কমান্ডটি চালান:

জ্যাকল এর dependencies( নির্ভরতা) স্বয়ংক্রিয়ভাবে কমান্ড এর দ্বারা ইনস্টল করা হয়, তাই আপনি তাদের সব বিষয়ে চিন্তা করতে হবে না।

Xcode কমান্ড-লাইন সরঞ্জাম ইনস্টল

Comments